/* BLOCK: Featured Posts */

.block-featured-posts .swiper {
    --swiper-pagination-bullet-border-radius: 0.625rem;
    --swiper-pagination-bullet-horizontal-gap: 0px;
    --swiper-pagination-bullet-size: 0.375rem;
    --swiper-pagination-color: var(--c-bg-light);
    --swiper-pagination-bullet-inactive-color: var(--c-bg-light);
    --swiper-pagination-bullet-inactive-opacity: 1;

    /* border-radius: 1.5625rem; */
    clip-path: inset(0 round 1.5625rem);
    max-width: 50.6875rem;
    max-height: 31.25rem;
}

.block-featured-posts .swiper-pagination {
    position: absolute;
    inset: unset;
    top: 2.5rem;
    left: 2.5rem;
    display: flex;
    align-items: center;
    gap: 0.625rem;
}

.block-featured-posts .swiper-pagination-bullet {
    transition: width 300ms ease-out;
    will-change: width;
}

.block-featured-posts .swiper-pagination-bullet-active {
    width: 3.125rem;
    overflow: clip;
}

.block-featured-posts .swiper-pagination-bullet-active::before {
    content: '';
    display: block;
    width: 100%;
    height: 100%;
    transform: translateX(-3.125rem);
    animation: linear 7s forwards grow;
    background-color: var(--c-tertiary);
    border-radius: var(--swiper-pagination-bullet-border-radius);
    will-change: transform;
}

@keyframes grow {
    0% {
        transform: translateX(-3.125rem);
    }
    100% {
        transform: translateX(0);
    }
}

.block-featured-posts .wrap {
    display: flex;
    flex-wrap: nowrap;
    gap: 1.25rem;
}

.block-featured-posts .form-wrapper {
    padding: 2.5rem;
    border-radius: 1.5625rem;
    flex-basis: 83.604%;
    max-width: 24.6875rem;
    min-height: 31.25rem;
    display: flex;
}

.block-featured-posts .gform-theme--foundation .gform_fields {
    display: flex;
    flex-direction: column;
    gap: 0;
}

.block-featured-posts .gform_fields input {
    background-color: var(--c-text-light);
    border: 1px solid rgb(from var(--c-text-dark) r g b / 0.15);
    border-radius: 0.75rem;
}

.block-featured-posts .form-wrapper h5 {
    padding-bottom: 2.5rem;
}

.block-featured-posts .gfield--type-email {
    margin-top: 0.75rem;
    margin-bottom: 1.5625rem;
}

.block-featured-posts .gfield--type-html {
    margin-bottom: auto;
}

.block-featured-posts .gform-theme--foundation .gfield input {
    padding: 1rem;
}

.block-featured-posts .swiper-fade .swiper-slide {
    /* max-height: 31.25rem;
    position: relative; */
    display: flex;
    align-items: flex-end;
}

.block-featured-posts .swiper-slide .main-content {
    width: 100%;
    max-width: 67.078%;

    margin: 0 0 2.5rem 2.5rem;
    margin-top: auto;
}

.block-featured-posts .swiper-slide .post__tags {
    display: flex;
    gap: 0.5rem;
    align-items: center;
}

.block-featured-posts .swiper-slide .main-content .post__tag--featured {
    display: flex;
    align-items: center;
    gap:0.375rem;
    background-color: var(--c-bg-dark-tint-1);
    color: var(--c-text-light);
    border-radius: 0.5rem;
    padding: 0.625rem 0.75rem;
}

.block-featured-posts .swiper-slide .main-content .post__tag--featured svg {
    color: var(--c-tertiary);
    width: 0.625rem;
}

.block-featured-posts .swiper-slide .main-content .post__tag--featured span {
    color: var(--c-text-light);
    font-weight: 600;
    font-size: var(--font-13-11);
}

.block-featured-posts .swiper-slide .post__tag {
    background-color: var(--c-text-light);
    color: var(--c-primary);
    border-radius: 0.5rem;
    font-weight: 600;
    font-size: var(--font-13-11);
    padding: 0.625rem 0.75rem;
}

.block-featured-posts .swiper-slide .main-content .post__title {
    text-decoration: none;
    color: var(--c-text-light);
    font-weight: 600;
    margin-block: 2.1875rem;
    display: flex;
}

.block-featured-posts .swiper-slide .post__date {
    color: var(--c-bg-dark-tint-2);
    font-size: var(--font-15-11);
    font-weight: 600;
}

/* .block-featured-posts .bg-wrapper {
    position:relative;
    z-index: -1;
    position: absolute;
    inset: 0;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    width: 100%;
} */


.block-featured-posts .bg-wrapper::after {
    content: "";
    position: absolute;
    inset: 0;
    border-radius: inherit;
    background: linear-gradient(260.89deg, rgba(10, 10, 10, 0) 0%, #0A0A0A 100%);
    background-color: transparent !important;
}
  
.block-featured-posts .form-wrapper #gform_wrapper_1,
.block-featured-posts .form-wrapper form {
    display: flex;
    flex-direction: column;
    flex: 1;
}

.block-featured-posts .form-wrapper .gform-body {
    flex: 1;
}

.block-featured-posts .form-wrapper .gform-footer {
    margin-top: auto;
}

@media screen and (width <= 920px) {
    .block-featured-posts .form-wrapper {
        padding: 1.875rem;
        flex-basis: 100%;
    }
}

@media screen and (width <= 620px) {
    .block-featured-posts .wrap {
        flex-direction: column;
        gap: 1rem;
    }
    .block-featured-posts .swiper {
        width: 100%;
    }
    .block-featured-posts .swiper-slide .main-content {
        max-width: 100%;
        margin: 0 1.875rem 1.875rem;
    }

    .block-featured-posts .swiper-fade .swiper-slide {
       max-height: 100%;
       height: auto;
       aspect-ratio: 1;
    }
    .block-featured-posts .swiper-pagination {
        top: 1.875rem;
        left: 1.875rem;
    }

    .block-featured-posts .swiper-slide .main-content .post__tag--featured {
        padding: 0.375rem 0.5rem;
    }

    .block-featured-posts .swiper-slide .main-content .post__title {
        margin-block: 1.25rem;
    }

    .block-featured-posts .form-wrapper h5 {
        padding-bottom: 0.625rem;
    }

    .block-featured-posts .gform-theme--foundation .gfield input {
        padding: 1.125rem;
    }

    .block-featured-posts .gfield--type-email {
        margin-top: 0.625rem;
        margin-bottom: 1.25rem;
    }

    .block-featured-posts .gform-theme--foundation .gform_footer {
        margin-top: 2.1875rem;
    }
    .block-featured-posts .form-wrapper {
        min-height: auto;
        aspect-ratio: 1;
    }
}